Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.dbxml.db.server.labrador
Class ContentResolver

    java.lang.Object
      com.dbxml.db.server.labrador.ContentResolver

All Implemented Interfaces:
  com.dbxml.labrador.Resolver

public final class ContentResolver
extends java.lang.Object
implements com.dbxml.labrador.Resolver

ContentResolver

Method Summary
`com.dbxml.labrador.Discovery` | `getDiscovery(com.dbxml.labrador.ID id)`
`com.dbxml.labrador.Instance` | `getInstance(com.dbxml.labrador.ID id)`
`static void` | `initialize()`
`boolean` | `isIDValid(com.dbxml.labrador.ID id)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### initialize

    public static void initialize()

### isIDValid

    public boolean isIDValid(com.dbxml.labrador.ID id)

  Specified by:
    `isIDValid` in interface `com.dbxml.labrador.Resolver`

### getInstance

    public com.dbxml.labrador.Instance getInstance(com.dbxml.labrador.ID id)

  Specified by:
    `getInstance` in interface `com.dbxml.labrador.Resolver`

### getDiscovery

    public com.dbxml.labrador.Discovery getDiscovery(com.dbxml.labrador.ID id)

  Specified by:
    `getDiscovery` in interface `com.dbxml.labrador.Resolver`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| dbXML API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004 The dbXML Group